Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: [OPGELOST]Googleearth crasht (ubuntu8.04)  (gelezen 1087 keer)

Offline aartje

  • Lid
  • Steunpunt: Nee
[OPGELOST]Googleearth crasht (ubuntu8.04)
« Gepost op: 2009/06/30, 12:24:13 »
Sinds vandaag (30-6-09) crasht Googleearth (4.3). Ik heb mijn ubuntu8.04 steeds up-to-date gehouden.
Het start op, je ziet de wereldbol even draaien en daarna verdwijnt het weer. Wie heeft er nog meer last
van ?
Opstarten met de hand in een terminalwindow geeft het volgende:

~$ googleearth
wx=0.312690, wy=0.328990, rx=0.639990, ry=0.330000
gx=0.210000, gy=0.710000, bx=0.149990, by=0.059990
wx=0.312690, wy=0.328990, rx=0.639990, ry=0.330000
gx=0.210000, gy=0.710000, bx=0.149990, by=0.059990
wx=0.312690, wy=0.328990, rx=0.639990, ry=0.330000
gx=0.210000, gy=0.710000, bx=0.149990, by=0.059990
Google Earth has caught signal 11.

Stacktrace from glibc:
  /usr/lib/googleearth/googleearth-bin(__gxx_personality_v0+0x1e8) [0x8057fb4]
  /usr/lib/googleearth/googleearth-bin [0x8058399]
  [0xb7f91420]
  /lib/tls/i686/cmov/libpthread.so.0(sem_wait+0x9) [0xb6044d69]
  ./libbase.so(_ZN5earth9Semaphore4waitEv+0x1b) [0xb7f4b601]
  ./libbase.so(_ZN5earth9Semaphore7trywaitEl+0x11b) [0xb7f4b771]
  ./libbase.so(_ZN5earth8SpinLock4lockEj+0x79) [0xb7f4b453]
  ./libbase.so(_ZN5earth9LockGuardC1ERNS_8SpinLockE+0x1f) [0xb7f3127f]
  ./libnet.so(_ZN5earth3net18CurlHttpConnection13removeRequestEPNS0_15CurlHttpRequestE+0x25) [0xb7ace45b]
  ./libnet.so(_ZN5earth3net15CurlHttpRequest4stopEv+0x20) [0xb7ace4aa]
  ./libnet.so(_ZN5earth3net15CurlHttpRequestD0Ev+0x25) [0xb7ace4d7]
  ./libnet.so(_ZN5earth3net11HttpRequest5unrefEv+0x35) [0xb7ac6701]
  ./libnet.so(_ZN5earth6RefPtrINS_3net11HttpRequestEED1Ev+0x1e) [0xb7abd9c2]
  ./libnet.so(_ZN5earth3net14NetworkRequestD0Ev+0x28) [0xb7abea70]
  ./libbase.so(_ZN5earth8Referent8orphanedEv+0x10) [0xb7f264fe]
  ./libbase.so(_ZN5earth8Referent5unrefEv+0x17) [0xb7f4d1d5]
  ./libnet.so(_ZN5earth3net7FetcherD0Ev+0x42) [0xb7ac2332]
  ./libbase.so(_ZN5earth8Referent8orphanedEv+0x10) [0xb7f264fe]
  ./libbase.so(_ZN5earth8Referent5unrefEv+0x17) [0xb7f4d1d5]
  ./libwmsbase.so(_ZN5earth6RefPtrINS_3net7FetcherEEaSEPS2_+0x27) [0xb7b22055]
  /usr/lib/googleearth/libevll.so(_ZN5earth4evll18NetworkLinkFetcher9fetchDoneEv+0x890) [0xb3795486]
  /usr/lib/googleearth/libevll.so(_ZN5earth4evll18NetworkLinkFetcher12ProcessWorkQEd+0x38) [0xb379556a]
  /usr/lib/googleearth/libevll.so(_ZN5earth4evll18GeobaseContextImpl8endFrameEd+0x1a) [0xb379560c]
  /usr/lib/googleearth/libevll.so(_ZN5earth4evll13VisualContext8endFrameEv+0x19b) [0xb3892ae7]
  /usr/lib/googleearth/libevll.so(_ZN5earth4evll13VisualContext4drawEbb+0xb2) [0xb38949f8]
  /usr/lib/googleearth/libevll.so(_ZN5earth4evll17RenderContextImpl4drawEv+0xa1) [0xb384eb51]
  ./librender.so(_ZN12RenderWidget10paintEventEP11QPaintEvent+0x24) [0xb62bf7d0]
  ./librender.so(_ZN5earth6render11RenderTimer4fireEv+0x14) [0xb62ac60c]
  ./libbase.so(_ZN5earth5Timer10timerEventEP11QTimerEvent+0x31) [0xb7f269bb]
  /usr/lib/googleearth/libqt-mt.so.3(_ZN7QObject5eventEP6QEvent+0x82) [0xb6d9afc2]
  /usr/lib/googleearth/libqt-mt.so.3(_ZN12QApplication14internalNotifyEP7QObjectP6QEvent+0xa1) [0xb6d2f9a1]
  /usr/lib/googleearth/libqt-mt.so.3(_ZN12QApplication6notifyEP7QObjectP6QEvent+0xef) [0xb6d304af]
  /usr/lib/googleearth/libqt-mt.so.3(_ZN10QEventLoop14activateTimersEv+0x1ed) [0xb6d2343d]
  /usr/lib/googleearth/libqt-mt.so.3(_ZN10QEventLoop13processEventsEj+0x57b) [0xb6cd524b]
  /usr/lib/googleearth/libqt-mt.so.3(_ZN10QEventLoop13processEventsEji+0x5a) [0xb6d495ea]
  /usr/lib/googleearth/libqt-mt.so.3(_ZN12QApplication13processEventsEi+0x2c) [0xb6d2f33c]
  /usr/lib/googleearth/libqt-mt.so.3(_ZN12QApplication13processEventsEv+0x26) [0xb6d2f376]
  /usr/lib/googleearth/liblayer.so(_ZN5earth5layer11LayerWindow12onFirstEarthERKNS_4evll11UpdateEventE+0x8e) [0xb0a4c1ea]
  /usr/lib/googleearth/libevll.so(_ZN5earth7EmitterINS_4evll14UpdateObserverENS1_11UpdateEventENS_19EmitterDefaultTraitIS2_S3_EEE8doNotifyEMS2_FvRKS3_ES8_+0xa7) [0xb3857ed3]
  /usr/lib/googleearth/libevll.so(_ZN5earth7EmitterINS_4evll14UpdateObserverENS1_11UpdateEventENS_19EmitterDefaultTraitIS2_S3_EEE6notifyEMS2_FvRKS3_ES8_b+0x3e) [0xb3857f58]
  /usr/lib/googleearth/libevll.so [0xb385131a]
  ./libbase.so(_ZN5earth5Timer10timerEventEP11QTimerEvent+0x31) [0xb7f269bb]
  /usr/lib/googleearth/libqt-mt.so.3(_ZN7QObject5eventEP6QEvent+0x82) [0xb6d9afc2]
  /usr/lib/googleearth/libqt-mt.so.3(_ZN12QApplication14internalNotifyEP7QObjectP6QEvent+0xa1) [0xb6d2f9a1]
  /usr/lib/googleearth/libqt-mt.so.3(_ZN12QApplication6notifyEP7QObjectP6QEvent+0xef) [0xb6d304af]
  /usr/lib/googleearth/libqt-mt.so.3(_ZN10QEventLoop14activateTimersEv+0x1ed) [0xb6d2343d]
  /usr/lib/googleearth/libqt-mt.so.3(_ZN10QEventLoop13processEventsEj+0x57b) [0xb6cd524b]
  /usr/lib/googleearth/libqt-mt.so.3(_ZN10QEventLoop9enterLoopEv+0xa9) [0xb6d494e9]
  /usr/lib/googleearth/libqt-mt.so.3(_ZN10QEventLoop4execEv+0x26) [0xb6d493e6]
  /usr/lib/googleearth/libqt-mt.so.3(_ZN12QApplication4execEv+0x1f) [0xb6d2f39f]
  ./libgoogleearth.so(_ZN5earth6client11Application3runEv+0x24f) [0xb76ce821]
  /usr/lib/googleearth/googleearth-bin(main+0x11f) [0x8058817]
  /lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe0) [0xb6067450]
  /usr/lib/googleearth/googleearth-bin(__gxx_personality_v0+0x75) [0x8057e41]




We apologize for the inconvenience, but Google Earth has crashed.
 This is a bug in the program, and should never happen under normal
 circumstances. A bug report and debugging data are now being written
 to this text file:

    /home/ariemaas/.googleearth/crashlogs/crashlog-F21A391F.txt

This bug report will be sent to Google automatically next time you run
 Google Earth. Its data, which contains no personal information, will help
 us correct problems without bothering you further. If you would rather
 this info not be transmitted, please delete the above file before running
 the program again. If you want bug reports to NEVER be sent, remove the
 above 'crashlogs' directory's read/write permissions.

« Laatst bewerkt op: 2009/06/30, 23:20:57 door aartje »

Offline aartje

  • Lid
  • Steunpunt: Nee
Re: Googleearth crasht (ubuntu8.04)
« Reactie #1 Gepost op: 2009/06/30, 20:29:52 »
De googleearth versie die ik gebruik is 4.2 en niet 4.3 zoals ik eerst meldde. Dat is dus
de standaard versie bij ubuntu 8.04
Verder ben ik nagegaan dat ik tussen het moment dat het het nog wel deed en niet meer
de volgende (voorgestelde!) packages heb geupdate.

2009-06-28 20:42:53 status installed gcc-4.2-base 4.2.4-1ubuntu4
2009-06-28 20:42:56 status installed libstdc++6 4.2.4-1ubuntu4
2009-06-28 20:42:56 status installed libc6 2.7-10ubuntu4
2009-06-28 20:42:59 status installed libgcc1 1:4.2.4-1ubuntu4
2009-06-28 20:42:59 status installed libc6 2.7-10ubuntu4
2009-06-28 20:43:04 status installed tzdata 2009j-0ubuntu0.8.04
2009-06-28 20:43:25 status installed foomatic-filters 3.0.2-20071204-0ubuntu2.2
2009-06-28 20:43:25 status installed libgomp1 4.2.4-1ubuntu4
2009-06-28 20:43:25 status installed libffi4 4.2.4-1ubuntu4
2009-06-28 20:43:25 status installed cpp-4.2 4.2.4-1ubuntu4
2009-06-28 20:43:25 status installed gcc-4.2 4.2.4-1ubuntu4
2009-06-28 20:43:25 status installed tzdata-java 2009j-0ubuntu0.8.04
2009-06-28 20:43:26 status installed libssl0.9.8 0.9.8g-4ubuntu3.7
2009-06-28 20:43:26 status installed libmagic1 4.21-3ubuntu2
2009-06-28 20:43:26 status installed file 4.21-3ubuntu2
2009-06-28 20:43:26 status installed gstreamer0.10-plugins-good 0.10.7-3ubuntu0.3
2009-06-28 20:43:27 status installed libgvfscommon0 0.2.5-0ubuntu7
2009-06-28 20:43:27 status installed gvfs 0.2.5-0ubuntu7
2009-06-28 20:43:27 status installed gvfs-backends 0.2.5-0ubuntu7
2009-06-28 20:43:27 status installed gvfs-fuse 0.2.5-0ubuntu7
2009-06-28 20:43:27 status installed openssl 0.9.8g-4ubuntu3.7
2009-06-28 20:43:27 status installed thunderbird 2.0.0.22+build1+nobinonly-0ubuntu0.8.04.1
2009-06-28 20:43:27 status installed libsasl2-modules 2.1.22.dfsg1-18ubuntu2.1
2009-06-28 20:43:27 status installed libsasl2-2 2.1.22.dfsg1-18ubuntu2.1
2009-06-28 20:43:27 status installed libc6 2.7-10ubuntu4
2009-06-30 08:01:25 status installed lsb-base 4.0-0ubuntu0.8.04.1
2009-06-30 08:01:29 status installed lsb-release 4.0-0ubuntu0.8.04.1
2009-06-30 08:01:30 status installed lsb-core 4.0-0ubuntu0.8.04.1
2009-06-30 08:01:30 status installed lsb-cxx 4.0-0ubuntu0.8.04.1
2009-06-30 08:01:30 status installed lsb-graphics 4.0-0ubuntu0.8.04.1
2009-06-30 08:01:31 status installed lsb-desktop 4.0-0ubuntu0.8.04.1
2009-06-30 08:01:31 status installed lsb-languages 4.0-0ubuntu0.8.04.1
2009-06-30 08:01:31 status installed lsb-multimedia 4.0-0ubuntu0.8.04.1
2009-06-30 08:01:31 status installed lsb-printing 4.0-0ubuntu0.8.04.1
2009-06-30 08:01:31 status installed lsb 4.0-0ubuntu0.8.04.1


Verder is er niets aan mijn systeem veranderd. (een 32bit systeem 2,4 GHz intel pentium4, 1GB geheugen,
intel 82845 integrated graphics (810-driver?)

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Googleearth crasht (ubuntu8.04)
« Reactie #2 Gepost op: 2009/06/30, 20:44:31 »
Probeer eens op deze manier Google Earth te installeren:

http://wiki.ubuntu-nl.org/community/GoogleEarth

Offline aartje

  • Lid
  • Steunpunt: Nee
Re: Googleearth crasht (ubuntu8.04)
« Reactie #3 Gepost op: 2009/06/30, 22:15:15 »
Beste Vistaus, bedankt voor je suggestie, maar ik heb google-earth al zo ge-installeerd en verder
is de foutmelding niet hetzelfde. Googlearth heeft het altijd gedaan maar na de laatste systeem-
updates van 8.04 doet het het niet meer. Dat lijkt volgens mij op een bug in een library of zo.

Verder heb ik op mijn secundaire ubuntu waar ubuntu 8.10 op draait precies hetzelfde probleem.
Die is ook tot het laatst ge-update en draait dezelfde google-earth versie. Dat is een ander
systeem met oa een andere grafische kaart. Op dat systeem gebeurt vrijwel niets, wordt alleen
heel soms als reserve-computer gebruikt en om ubuntu8.10 te testen.


Is er niemand met hetzelfde probleem ?

Offline petervs

  • Lid
  • Steunpunt: Nee
Re: Googleearth crasht (ubuntu8.04)
« Reactie #4 Gepost op: 2009/06/30, 22:28:49 »
Is er niemand met hetzelfde probleem ?
Bij mij crasht het ook, het heeft gewerkt, en heb dezelfde output als jij.
Ubuntu MATE 16.04

Offline petervs

  • Lid
  • Steunpunt: Nee
Re: Googleearth crasht (ubuntu8.04)
« Reactie #5 Gepost op: 2009/06/30, 22:45:39 »
Oplossing bij mij: zie schermafdruk. In synaptic googleearth 4.2 verwijderen en 4.3 installeren en dan werkt het weer.

Edit: het vreemde was, dat "apt-cache show googleearth" aangaf dat ik versie 4.3 had, terwijl in synaptic alleen 4.2 stond geïnstalleerd.
« Laatst bewerkt op: 2009/06/30, 22:51:26 door petervs »
Ubuntu MATE 16.04

Offline aartje

  • Lid
  • Steunpunt: Nee
Re: Googleearth crasht (ubuntu8.04)
« Reactie #6 Gepost op: 2009/06/30, 22:47:46 »
Ik heb een soort van oplossing gevonden. Ik heb googleearth4.2 via synaptic pakketbeheer
geheel verwijderd, daarna heb ik googleearth4.3 ge-installeerd.
Nu draait het wel, maar het opstarten duurt wel een stuk langer.

Offline aartje

  • Lid
  • Steunpunt: Nee
Re: Googleearth crasht (ubuntu8.04)
« Reactie #7 Gepost op: 2009/06/30, 22:49:07 »
Ah, ik zie dat petervs op hetzelfde moment op het idee kwam  ^-^

Offline aartje

  • Lid
  • Steunpunt: Nee
Re: Googleearth crasht (ubuntu8.04)
« Reactie #8 Gepost op: 2009/06/30, 23:11:08 »
Op mijn ubuntu 8.10 systeem heb ik nu ook googleeart4.3 ge-installeerd.
Dat crasht niet. :|

Offline aartje

  • Lid
  • Steunpunt: Nee
Re: [OPGELOST]Googleearth crasht (ubuntu8.04)
« Reactie #9 Gepost op: 2009/07/05, 11:12:28 »
Epiloog:

Ik heb toch maar eens mijn systeem (root-filesysteem) naar de toestand van begin mei teruggezet,
toen GE4.2 het nog wel deed en de directory .googleearth hernoemd naar .googleeart_aside (in mijn
home-directory).
Wat schetst mijn verbazing ! : GE4.2 crasht nu ook ! Het lijkt er op dat google de serverkant zo heeft
veranderd dat GE4.2 het niet meer goed doet. Of zijn er mensen die nog wel GE4.2 goed kunnen
draaien ?

Offline aartje

  • Lid
  • Steunpunt: Nee
Re: [OPGELOST]Googleearth crasht (ubuntu8.04)
« Reactie #10 Gepost op: 2009/07/06, 13:46:28 »
Epiloog2:

Googleearth4.2 ook nog eens geprobeerd op mijn Acer ubuntu8.04 laptop.
Daar crashte het ook ondanks dat het daar altijd gedaan heeft en het systeem
daar al 2 maanden niet uptodate gebracht is.
Hetmoet dus echt ergens aan de systemen van google liggen